<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="app">
        <form @submit.prevent="submitName">
            <input type="text" id="inputName">
            <button id="submit-btn" type="submit">Add</button>
        </form>
        <ul>
            <li v-for="name in listName">
                {{ name }}
                <button @click="editName(name)">Edit</button>
                <button @click="deleteName(name)">Delete</button>
            </li>
        </ul>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                listName: ['Muhammad Iqbal Mubarok', 'Ruby Purwanti', 'Faqih Muhamad'],
            },
            methods: {
                submitName() {
                    var input = document.getElementById('inputName');
                    if(input.value != null && input.value != ""){
                        this.listName.push(input.value);
                    }else{
                        alert('Input tidak boleh kosong')
                    }
                    input.value = "";
                },
                editName(params) {
                    var input = document.getElementById('inputName');
                    input.value = params;
                    var btn = document.getElementById('submit-btn');
                    btn.innerHTML = 'Update'
                },
                deleteName(params) {
                    var index = this.listName.indexOf(params);
                    if (confirm("Anda yakin?")) {
                        this.listName.splice(index, 1);
                    }
                }
            }
        })
    </script>
</body>

</html>